vSphere error handling can break
Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.19.0   

Difficulty: trivial Fixed in Releases: 1.19.0

Triaged: No Found in Releases: 1.15.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5782

  

Description

When rescue vsphere exceptions in vm_create, the code assumes vm is set. This can lead to the following exception:

NameError: undefined local variable or method `vm' for #<Foreman::Model::Vmware:0x007f27f4791c38>

Associated revisions

Revision 3baac1fa - 07/06/2018 03:21 PM - Timo Goebel

fixes #24186 - improve vsphere error handling

History

#1 - 07/06/2018 02:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5782 added

#2 - 07/06/2018 04:02 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 3baac1fa0e92a3fb4b9b714e083c44e529bf384f.

#3 - 07/09/2018 11:12 AM - Greg Sutcliffe

- Fixed in Releases 1.15.0 added

#4 - 07/09/2018 11:22 AM - Greg Sutcliffe

- Fixed in Releases deleted (1.15.0)

#5 - 07/09/2018 11:42 AM - Marek Hulán

- translation missing: en.field_release set to 353
